Get Applicable policies for catalog, namespace, table, or views

Retrieves all applicable policies for a specified entity, including inherited policies from parent entities. An entity can be a table/view, namespace, or catalog. The required parameters depend on the entity type:

  • Table/View:
    • The namespace parameter is required to specify the entity's namespace.
    • The target-name parameter is required to specify the entity name.
  • Namespace:
    • The namespace parameter is required to specify the identifier.
    • The target-name parameter should not be set.
  • Catalog:
    • Neither namespace nor target-name should be set.

An optional policyType parameter filters results to return only policies of the specified type.

This API evaluates the entity's hierarchy and applies inheritable policies from parent entities. The inheritance follows the following override rule:

  1. Table-like level policies override namespace and catalog policies.
  2. Namespace-level policies override upper level namespace or catalog policies.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

An optional prefix in the path

Query Params
string | null

An opaque token that allows clients to make use of pagination for list APIs (e.g. ListTables). Clients may initiate the first paginated request by sending an empty query parameter pageToken to the server.
Servers that support pagination should identify the pageToken parameter and return a next-page-token in the response if there are more results available. After the initial request, the value of next-page-token from each response must be used as the pageToken parameter value for the next request. The server must return null value for the next-page-token in the last response.
Servers that support pagination must return all results in a single response with the value of next-page-token set to null if the query parameter pageToken is not set in the request.
Servers that do not support pagination should ignore the pageToken parameter and return all results in a single response. The next-page-token must be omitted from the response.
Clients must interpret either null or missing response value of next-page-token as the end of the listing results.

integer
≥ 1

For servers that support pagination, this signals an upper bound of the number of results that a client will receive. For servers that do not support pagination, clients may receive results larger than the indicated pageSize.

string

A namespace identifier as a single string. Multipart namespace parts should be separated by the unit separator (0x1F) byte.

string

Name of the target table/view

string | null

The type of a policy

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json